package com.willalp.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.event.domain.HsEvent;
import com.willalp.event.domain.vo.ClubActivityMoreVo;

import java.util.List;

/**
 * 活动配置Service接口
 *
 * @author willalp
 * @date 2023-01-29
 */
public interface IHsEventService extends IService<HsEvent> {
    /**
     * 查询活动配置列表
     *
     * @param hsEvent 活动配置
     * @return 活动配置集合
     */
    List<HsEvent> selectHsEventList(HsEvent hsEvent);

    /**
     * 获取当前时间满足的事件
     *
     * @param hsEvent
     * @return
     */
    List<HsEvent> getNowEventList(HsEvent hsEvent);

    /**
     * 定时更新事件状态
     */
    void timingUpdateEventStatus();

    /**
     * app获取活动集
     *
     * @param associationsInfoId
     * @return
     */
    List<HsEvent> appGetEvents(String associationsInfoId);

    /**
     * 获取APP更多嫌弃
     *
     * @param eventId
     * @return
     */
    ClubActivityMoreVo appGetMoreById(String eventId);
}
